=== debian/changelog ===
kf5-messagelib (4:18.04.3-0ubuntu3) cosmic; urgency=medium

  * Sync some debian unstable changes:
    - Update watch file.
    - Update lintian overrides.
    - Update upstream metadata.
    - Update debian/copyright.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 26 Aug 2018 13:21:48 +0100

kf5-messagelib (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Skip autotests for now. Upstream release tars and CI tests are
    consistently broken, so running them here has little or no worth
    unless that changes.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Aug 2018 14:28:32 +0100

kf5-messagelib (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  [ Walter Lapchynski ]
  * Removing MISSING symbols. 

  [ Rik Mills ]
  * New upstream release (18.03.80)
  * debian/patches: Drop upstream applied patches
  * Update symbols
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

  [ Simon Quigley ]
  * Bump sonames with the Debian ABI Manager due to binary incompatible
    changes:
    - libkf5mimetreeparser5abi2 -> libkf5mimetreeparser5abi3
    - libkf5messageviewer5abi4 -> libkf5messageviewer5abi5

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:55:07 +0100

kf5-messagelib (4:17.12.3-0ubuntu5) cosmic; urgency=medium

  * Add upstream patrch to fix build with Qt 5.11
  * Update symbols for Qt 5.11

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 20 Jul 2018 05:58:08 +0100

kf5-messagelib (4:17.12.3-0ubuntu4) cosmic; urgency=medium

  * Skip tests on architectures we do not support

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 18 May 2018 18:21:06 +0100
