=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libgl1-mesa-dri, gnupg-agent, akonadi-server,
         akonadi-backend-sqlite, breeze-icon-theme, openbox,
         libkf5akonadi-dev-bin, libkf5akonadisearch-bin, kinit
#Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr
